export declare type NoteAsObject = {
    pitchClass: PitchClass;
    octave: Octave;
};
export declare type PitchClassLetter = 'C' | 'D' | 'E' | 'F' | 'G' | 'A' | 'B';
declare type FlatAccidental = 'b' | 'bb' | 'bbb';
declare type SharpAccidental = '#' | 'x' | '#x';
export declare type Accidental = '' | FlatAccidental | SharpAccidental;
export declare type Octave = number;
export declare type FlatPitchClass = `${PitchClassLetter}${FlatAccidental}`;
export declare type SharpPitchClass = `${PitchClassLetter}${SharpAccidental}`;
export declare type PitchClass = PitchClassLetter | FlatPitchClass | SharpPitchClass;
export declare type Note = `${PitchClass}${Octave}`;
export declare type RawPitchClass = 'C' | 'C#' | 'Db' | 'D' | 'D#' | 'Eb' | 'E' | 'F' | 'F#' | 'Gb' | 'G' | 'G#' | 'Ab' | 'A' | 'A#' | 'Bb' | 'B';
export declare type RawFlatPitchClass = 'C' | 'Db' | 'D' | 'Eb' | 'E' | 'F' | 'Gb' | 'G' | 'Ab' | 'A' | 'Bb' | 'B';
export declare type RawSharpPitchClass = 'C' | 'C#' | 'D' | 'D#' | 'E' | 'F' | 'F#' | 'G' | 'G#' | 'A' | 'A#' | 'B';
export declare type Chord = Array<PitchClass | Note>;
export declare type Scale = Array<PitchClass | Note>;
export declare type NoteDuration = '';
export {};
